# What Is Gleez CMS?

[Gleez CMS](https://gleezcms.org) is a user-friendly website [Content Management System](http://en.wikipedia.org/wiki/CMS).

With [Gleez CMS](https://gleezcms.org) you can easily build dynamic websites within a matter of minutes with just the click of your mouse! Maintain your web content, navigation and even limit what groups or specific users can access, from anywhere in the world with just a web browser!

With an emphasis on security and functionality, [Gleez CMS](https://gleezcms.org) is a professional and robust system suitable for any business or organization website. Built on the [PHP](http://php.net) programming language and the [MySQL](http://www.mysql.com) database, [Gleez CMS](https://gleezcms.org) delivers superb performance on any size website.

## Features

* Website Navigation and Web Pages
* Users, User Groups, and Permissions
* Contents or Articles for News or Blogging
* Content Categories
* Content Comments
* Content Tagging
* Content Blocks or Widgets
* Extensions, Modules or Plugins
* Themes and Layouts
* Input formats like Markdown, HTML etc
* Shortcodes
* oAuth2 login via Google/Facebook/Windows/Github
* Resize images on fly with caching
* ORM, MongoDB, Redis support
* Other Details like SEO, Media, Gravatar, etc.

## Demo

You can visit our demo site to become familiar with the basic features of Gleez CMS

[https://demo.gleezcms.org](https://demo.gleezcms.org)

| Login details | Typical user | Administrator |
| ------------- |:------------:| -------------:|
| *Username*    | demo         | demoadmin     |
| *Password*    | demo         | demoadmin     |

## Internationalization (i18n Support)

The available locale(s) in Gleez are:

+ English
+ Estonian
+ Chinese (Simplified)
+ Russian
+ Indonesian
+ Italian
+ Romanian

## Documentation

We create the documentation together with the community and other Gleez users/developers.
The latest documentation is available on the [Gleez Wiki](https://github.com/gleez/cms/wiki).

* [Installation](https://github.com/gleez/cms/wiki/Installation)
* [Contributing](https://github.com/gleez/cms/wiki/Contributing)

Chat with fellow Gleez users at [#gleez on Freenode](http://webchat.freenode.net/?channels=gleez)


***

[Official Website](https://gleezcms.org) | [Facebook Page](https://www.facebook.com/gleezcms) | [License](https://github.com/gleez/cms/wiki/License) | [Contributors](https://github.com/gleez/cms/wiki/Contributors)
